Subject: Re: [bug#48924] Add systemd

From: Efraim Flashner <[email-masked]>
Date: Sun, 13 Jun 2021 15:19:12 +0300

On Sun, Jun 13, 2021 at 11:36:14AM +0200, Ludovic Courtès wrote:
> Hi!
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> [...]
> 
> > One thing that I've noticed with elogind is that it doesn't interact
> > will with systemd-logind on other machines. Any loginctl command
> > normally fails because the version we have looks in /var/lib/elogind and
> > systemd uses /var/lib/systemd.
> 
> Oh you’re saying that someone on a foreign distro might be interested in
> running ‘systemctl’ from Guix’ ‘systemd’ package?  That sounds like a
> bit far-fetched to me, dunno.

I meant it more like this:

(ins)efraim@g4:~$ loginctl list-sessions
SESSION  UID USER   SEAT  TTY
      1  118 sddm   seat0
  12683 1000 efraim seat0 tty2
     13 1000 efraim seat0 tty3
  15005 1000 efraim       pts/2

4 sessions listed.

(ins)efraim@3900XT ~$ loginctl list-sessions
SESSION  UID USER   SEAT  TTY
     c1  980 sddm   seat0
     c2 1000 efraim seat0 tty8

2 sessions listed.
(ins)efraim@3900XT ~$ loginctl -H g4 list-sessions
bash: line 1: elogind-stdio-bridge: command not found

It should be possible to interoperate between them
(-H --host=[USER@]HOST    Operate on remote host)

> > It would also be useful to figure out how to run user level systemd
> > services, likely using systemd itself, for those who are interested in
> > doing so.
> >
> > I've heard that systemd is modular, in that at compile time it's
> > possible to choose which modules to build. Perhaps we can build a subset
> > which are actually useful for us?
> 
> Good question, no idea.
> 
> Thanks,
> Ludo’.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted